# Force out of source build
%undefine __cmake_in_source_build

%global forgeurl https://github.com/raspberrypi/libcamera-apps
%global commit   0ddf74f1a0705961bc281eb4da914ec20ce6a671
%global date     20211011
%forgemeta

Name:    libcamera-apps
Version: 0.0.0
Release: 0.7%{?snapshot:.%{snapshot}}%{?dist}
Summary: A library to support complex camera ISPs
# Libarary is LGPLv2.1+ and the cam tool is GPLv2
License: BSD
URL:     https://github.com/raspberrypi/libcamera-apps
Source0: %{forgesource}
Patch0:  https://github.com/raspberrypi/libcamera-apps/pull/121.patch#/%{name}-Do-not-override-CXXFLAGS-from-external-build-system.patch

BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(opencv)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(libcamera)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(x11)
BuildRequires: boost-devel
BuildRequires: /usr/bin/cmake
BuildRequires: /usr/bin/git
BuildRequires: gcc-c++

%description
A small suite of libcamera-based apps that aim to copy the functionality
of the existing "raspicam" apps.

Available applications:
  * libcamera-still - a libcamera version of raspistill.

  * libcamera-vid - a libcamera version of raspivid.

  * libcamera-raw - a version of libcamera-vid that saves a file of
      uncompressed raw (Bayer) video.

  * libcamera-hello - a very small app that aims to show pretty much the
      easiest way to get frames from the camera onto the display.

  * libcamera-jpeg - a cut-down version of libcamera-still that runs a preview
      and captures a JPEG, without the distraction of all those other options.


%prep
%forgeautosetup -p1 -S git
%cmake


%build
%set_build_flags
export CXXFLAGS="${CXXFLAGS} -fPIC"
export LDFLAGS="${LDFLAGS} -fPIC"
%cmake_build


%install
%cmake_install


%files
%license README.md license.txt
%{_bindir}/libcamera-hello
%{_bindir}/libcamera-jpeg
%{_bindir}/libcamera-raw
%{_bindir}/libcamera-still
%{_bindir}/libcamera-vid

%{_libdir}/libcamera_app.so
%{_libdir}/libencoders.so
%{_libdir}/libimages.so
%{_libdir}/liboutputs.so
%{_libdir}/libpost_processing_stages.so
%{_libdir}/libpreview.so


%changelog
* Mon Oct 11 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.7
- Update to the latest snapshot

* Thu Oct 07 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.6
- Rebuilt with -fPIC

* Thu Oct 07 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.5
- Update to the latest snapshot

* Thu Sep 30 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.4
- Remove patch merged upstream

* Thu Sep 30 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.3
- Update to the latest snapshot

* Mon Sep 20 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.2
- Add patch to install libraries as per GNU Coding Standards.

* Fri Sep 17 2021 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.0.0-0.1
- Initial package
